For the complete documentation index, see llms.txt. This page is also available as Markdown.

List servers

List all servers within the data center.

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
datacenterIdstringRequired

The unique ID of the data center.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
offsetinteger · int32Optional

The first element (from the complete list of the elements) to include in the response (used together with limit for pagination).

Default: 0
limitinteger · int32 · min: 1 · max: 10000Optional

The maximum number of elements to return (use together with offset for pagination).

Default: 1000
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
200

Successful operation

application/json
get/datacenters/{datacenterId}/servers
GET /cloudapi/v6/datacenters/{datacenterId}/servers HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
  "type": "collection",
  "href": "<RESOURCE-URI>",
  "items": [
    {
      "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
      "type": "server",
      "href": "<RESOURCE-URI>",
      "metadata": {
        "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
        "createdDate": "2015-12-04T14:34:09.809Z",
        "createdBy": "user@example.com",
        "createdByUserId": "user@example.com",
        "lastModifiedDate": "2015-12-04T14:34:09.809Z",
        "lastModifiedBy": "user@example.com",
        "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
        "state": "AVAILABLE"
      },
      "properties": {
        "templateUuid": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
        "name": "My resource",
        "hostname": "myHostname",
        "cores": 4,
        "ram": 4096,
        "availabilityZone": "AUTO",
        "vmState": "RUNNING",
        "bootCdrom": {
          "id": "text",
          "type": "resource",
          "href": "<RESOURCE-URI>"
        },
        "bootVolume": {
          "id": "text",
          "type": "resource",
          "href": "<RESOURCE-URI>"
        },
        "cpuFamily": "INTEL_ICELAKE",
        "type": "CUBE",
        "enabledFeatures": [
          "SEV-SNP"
        ],
        "placementGroupId": null,
        "nicMultiQueue": true,
        "maxNetworkBandwidth": 6,
        "maintenanceWindow": {
          "startDate": "2026-08-21T17:00:00Z",
          "endDate": "2026-08-21T19:00:00Z"
        }
      },
      "entities": {
        "cdroms": {
          "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
          "type": "collection",
          "href": "<RESOURCE-URI>",
          "items": [
            {
              "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
              "type": "image",
              "href": "<RESOURCE-URI>",
              "metadata": {
                "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
                "createdDate": "2015-12-04T14:34:09.809Z",
                "createdBy": "user@example.com",
                "createdByUserId": "user@example.com",
                "lastModifiedDate": "2015-12-04T14:34:09.809Z",
                "lastModifiedBy": "user@example.com",
                "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
                "state": "AVAILABLE"
              },
              "properties": {
                "name": "My resource",
                "description": "The image/snapshot of Ubuntu ",
                "location": "us/las",
                "size": 100,
                "cpuHotPlug": true,
                "cpuHotUnplug": true,
                "ramHotPlug": true,
                "ramHotUnplug": true,
                "nicHotPlug": true,
                "nicHotUnplug": true,
                "discVirtioHotPlug": true,
                "discVirtioHotUnplug": true,
                "discScsiHotPlug": true,
                "discScsiHotUnplug": true,
                "exposeSerial": true,
                "requireLegacyBios": true,
                "licenceType": "LINUX",
                "applicationType": "MSSQL-2019-Standard",
                "imageType": "HDD",
                "public": true,
                "imageAliases": [
                  "text"
                ],
                "requiredFeatures": [
                  "text"
                ],
                "cloudInit": "V1"
              }
            }
          ],
          "offset": 0,
          "limit": 1000,
          "_links": {
            "prev": "<PREVIOUS-PAGE-URI>",
            "self": "<THIS-PAGE-URI>",
            "next": "<NEXT-PAGE-URI>"
          }
        },
        "volumes": {
          "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
          "type": "collection",
          "href": "<RESOURCE-URI>",
          "items": [
            {
              "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
              "type": "volume",
              "href": "<RESOURCE-URI>",
              "metadata": {
                "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
                "createdDate": "2015-12-04T14:34:09.809Z",
                "createdBy": "user@example.com",
                "createdByUserId": "user@example.com",
                "lastModifiedDate": "2015-12-04T14:34:09.809Z",
                "lastModifiedBy": "user@example.com",
                "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
                "state": "AVAILABLE"
              },
              "properties": {
                "name": "My resource",
                "type": "PERFORMANCE",
                "size": 100,
                "availabilityZone": "AUTO",
                "image": "d6ad1576-fde9-4696-aa41-1ebd75bdaf49",
                "imagePassword": "mypass123",
                "sshKeys": [
                  "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/4JNoFQBsaGV974hDmloS5LOvSJjKpXs8Ed437ln712345",
                  "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/asdfghjkjhyutry545tgvbn76e4rf43"
                ],
                "bus": "VIRTIO",
                "licenceType": "LINUX",
                "applicationType": "MSSQL-2019-Standard",
                "cpuHotPlug": true,
                "ramHotPlug": true,
                "nicHotPlug": true,
                "nicHotUnplug": true,
                "discVirtioHotPlug": true,
                "discVirtioHotUnplug": true,
                "exposeSerial": true,
                "requireLegacyBios": true,
                "deviceNumber": 3,
                "pciSlot": 7,
                "backupunitId": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
                "userData": "text",
                "bootServer": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
                "bootOrder": "AUTO"
              }
            }
          ],
          "offset": 0,
          "limit": 1000,
          "_links": {
            "prev": "<PREVIOUS-PAGE-URI>",
            "self": "<THIS-PAGE-URI>",
            "next": "<NEXT-PAGE-URI>"
          }
        },
        "nics": {
          "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
          "type": "collection",
          "href": "<RESOURCE-URI>",
          "items": [
            "[Circular Reference]"
          ],
          "offset": 0,
          "limit": 1000,
          "_links": {
            "prev": "<PREVIOUS-PAGE-URI>",
            "self": "<THIS-PAGE-URI>",
            "next": "<NEXT-PAGE-URI>"
          }
        },
        "securitygroups": {
          "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
          "type": "collection",
          "href": "<RESOURCE-URI>",
          "items": [
            "[Circular Reference]"
          ],
          "offset": 0,
          "limit": 1000,
          "_links": {
            "prev": "<PREVIOUS-PAGE-URI>",
            "self": "<THIS-PAGE-URI>",
            "next": "<NEXT-PAGE-URI>"
          }
        },
        "gpus": {
          "id": "25f67991-0f51-4efc-a8ad-ef1fb31a400c",
          "type": "collection",
          "href": "<RESOURCE-URI>",
          "items": [
            {
              "id": "25f67991-0f51-4efc-a8ad-ef1fb31a400c",
              "type": "gpu",
              "href": "<RESOURCE-URI>",
              "metadata": {
                "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
                "createdDate": "2015-12-04T14:34:09.809Z",
                "createdBy": "user@example.com",
                "createdByUserId": "user@example.com",
                "lastModifiedDate": "2015-12-04T14:34:09.809Z",
                "lastModifiedBy": "user@example.com",
                "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
                "state": "AVAILABLE"
              },
              "properties": {
                "name": "My GPU",
                "vendor": "NVIDIA",
                "model": "A100",
                "type": "passthrough"
              }
            }
          ],
          "offset": 0,
          "limit": 1000,
          "_links": {
            "prev": "<PREVIOUS-PAGE-URI>",
            "self": "<THIS-PAGE-URI>",
            "next": "<NEXT-PAGE-URI>"
          }
        }
      }
    }
  ],
  "offset": 0,
  "limit": 1000,
  "_links": {
    "prev": "<PREVIOUS-PAGE-URI>",
    "self": "<THIS-PAGE-URI>",
    "next": "<NEXT-PAGE-URI>"
  }
}

Last updated

Was this helpful?